#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    export_exchange: sitExportExchange_localdev
    mail_export_queue: sit_mail_export_queue_localdev
    mail_export_routingkey: sit_mail_export_key_localdev

index-channel:
  enabled: true

server:
  port: 9205
  max-http-header-size: 262144
  servlet:
    session:
      tracking-modes: cookie

gridFailureInformation:
  maxListSize: 2000

logging.level.org.eclipse.openk.gridfailureinformation.jobs.stoerauskunftinterface.api.StoerauskunftApi: DEBUG

email:
  sender: sender@olaf.senderson
  smtpHost: entdockergss
  port: 1025
  isHtmlEmail: true
  isUseHtmlEmailTemplate: true

security.endpoint:
  user: ${GFI_MANUAL_ENDPOINTS_USERNAME}
  password: ${GFI_MANUAL_ENDPOINTS_PASSWORD}

swagger:
  enabled: true

---

spring:
  config:
    activate:
      on-profile: dev-db
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    export_exchange: sitExportExchange_localdev_simon
    mail_export_queue: sit_mail_export_queue_localdev_simon
    mail_export_routingkey: sit_mail_export_key_localdev_simon
